tests: make test-convert-git.t more deterministic
AbandonedPublic

Authored by indygreg on Apr 5 2018, 12:38 AM.

Details

Reviewers
durin42
Group Reviewers
hg-reviewers
Summary

Previously, we had some unwrapped usage of git commit, which would
result in the current time being added to the commit object.

Our commit() shell function makes git commit deterministic. So
switch to that everywhere.

Because every call to commit() increments the counter for the current
time, inserting calls earlier in the test changes the hash of later
commits. So there was some test fallout associated with this. But no
meaningful behavior should have changed.

I'm not sure why the display order and the conversion order of some
things changed. If I had to venture a guess, it would be a) there
was a race condition in the previous code where commits with the same
second time were sorted differently from commits with different times
b) something somewhere was sorting by hash. I dunno.

Diff Detail

Repository
rHG Mercurial
Lint
Lint Skipped
Unit
Unit Tests Skipped
indygreg created this revision.Apr 5 2018, 12:38 AM
durin42 accepted this revision.Apr 6 2018, 8:44 PM
This revision is now accepted and ready to land.Apr 6 2018, 8:44 PM

This seems to break things with git 1.8.3.1, which is what's on gcc112. Should we just ratchet our test requirements forward, or try and figure out what changed?

This seems to break things with git 1.8.3.1, which is what's on gcc112. Should we just ratchet our test requirements forward, or try and figure out what changed?

You can drop it for now. I don’t think it is important to the series. I was just poking around as part of investigating a test failure.

indygreg abandoned this revision.Apr 12 2018, 11:58 AM

This isn't worth my time to close the loop on.